com.microfocus.awm.model

## Interface IFunctionPackageInitializer

-     public interface IFunctionPackageInitializer

  Interface for function package specific initializations. The initializer is only called if the corresponding function package is defined in the to-be-loaded or -unloaded model.

  Initializers are defined on function packages in `com.microfocus.awm.model.extension` extensions (plugin.xml).

  Can be implemented by clients.

  Copyright Micro Focus GmbH.

  Author:
    Ralf Pakosch

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `modelLoaded(TAURUSConfiguration pModel, FunctionPackage pPackage, org.eclipse.core.runtime.IProgressMonitor pMon)` Called right after a model was loaded.
    `void` | `modelUnloading(TAURUSConfiguration pModel, FunctionPackage pPackage, org.eclipse.core.runtime.IProgressMonitor pMon)` Called right before a model is unloaded.

- - ### Method Detail

    - #### modelLoaded

          void modelLoaded(TAURUSConfiguration pModel,
                           FunctionPackage pPackage,
                           org.eclipse.core.runtime.IProgressMonitor pMon)
                    throws TaurusCoreException

      Called right after a model was loaded.
      Parameters:
        `pModel` - the model
        `pPackage` - the function package from the model
        `pMon` - a progress monitor
      Throws:
        `TaurusCoreException` - if an exception occurs during initialization

    - #### modelUnloading

          void modelUnloading(TAURUSConfiguration pModel,
                              FunctionPackage pPackage,
                              org.eclipse.core.runtime.IProgressMonitor pMon)
                       throws TaurusCoreException

      Called right before a model is unloaded.
      Parameters:
        `pModel` - the model
        `pPackage` - the function package from the model
        `pMon` - a progress monitor
      Throws:
        `TaurusCoreException` - if an exception occurs

Copyright © 2015 Micro Focus GmbH. All rights reserved.